// Read COPYING for licensing details.

#ifndef _FMLU_H_
#define _FMLU_H_

#include <FL/ml.h>

void
mluSquareMatrix2f(MLenum pname, MLsizei order, const MLfloat *param1, MLfloat param2, MLfloat *result);

void
mluSquareMatrix3f(MLenum pname, MLsizei order, const MLfloat *param1, MLfloat param2, MLfloat param3, MLfloat *result);

void
mluSquareMatrixfv(MLenum pname, MLsizei order, const MLfloat *param, MLfloat *result);

void
mluSquareMatrix2fv(MLenum pname, MLsizei order1, const MLfloat *param1, MLsizei order2, const MLfloat *param2, MLfloat *result);

#endif

